<template>
<v-container>
  <v-alert
    prominent
    type="info"
    border="bottom"
    colored-border
    :icon="mdiCellphoneArrowDown"
    >
    <v-row align="center">
      <v-col class="grow">
        Есть обновление у сайта
      </v-col>
      <v-col class="shrink">
        <v-btn
          :loading="loading"
          color="green white--text"
          @click="appUpdate"
          >
          <!-- <v-icon>{{mdiCellphoneArrowDown}}</v-icon> -->
          Обновить
        </v-btn>
      </v-col>
    </v-row>
  </v-alert>
  <!-- <v-list class="hidden-sm-and-up" three-line> -->
  <!--   <\!-- <v-subheader>Сергей Александрович, Пашинин</v-subheader> -\-> -->
  <!--   <v-list-item> -->
  <!--     <\!-- <v-list-item-avatar> -\-> -->
  <!--     <\!--   <img :src="repetitor.pic" alt="Sergey Pashinin"> -\-> -->
  <!--     <\!-- </v-list-item-avatar> -\-> -->
  <!--     <v-list-item-content> -->
  <!--       <v-list-item-title>Сергей Александрович, Пашинин</v-list-item-title> -->
  <!--       <\!-- <v-list-item-subtitle>{{ repetitor.phone }}</v-list-item-subtitle> -\-> -->
  <!--       <v-list-item-subtitle> -->
  <!--         <\!-- <v-icon>{{mdiContacts}}</v-icon> -\-> -->
  <!--         МГТУ им. Баумана. Информатика и системы управления. -->
  <!--       </v-list-item-subtitle> -->
  <!--       <\!-- <v-list-item-subtitle> -\-> -->
  <!--       <\!--   {{repetitor.phone}} -\-> -->
  <!--       <\!-- </v-list-item-subtitle> -\-> -->
  <!--       <\!-- <template v-slot:extension v-if="app.hasUpdate || 1==1"> -\-> -->
  <!--       <\!--   <app-update></app-update> -\-> -->
  <!--       <\!-- </template> -\-> -->
  <!--     </v-list-item-content> -->
  <!--     <\!-- <v-list-item-action> -\-> -->
  <!--     <\!--   <v-btn icon> -\-> -->
  <!--     <\!--     <v-icon color="grey lighten-1"> -\-> -->
  <!--     <\!--       {{mdiCellphoneArrowDown}} -\-> -->
  <!--     <\!--     </v-icon> -\-> -->
  <!--     <\!--   </v-btn> -\-> -->
  <!--     <\!-- </v-list-item-action> -\-> -->
  <!--   </v-list-item> -->
  <!-- </v-list> -->
  <v-btn
    small
    :loading="loading"
    class="mr-2 hidden-xs-only d-none"
    depressed
    color="green white--text"
    @click="appUpdate"
    >
    <v-icon>{{mdiCellphoneArrowDown}}</v-icon>
    Обновить сайт
  </v-btn>

  <v-snackbar
    v-model="snackbar"
    >
    {{ text }}

    <template v-slot:action="{ attrs }">
      <v-btn
        color="red"
        text
        v-bind="attrs"
        @click="snackbar = false"
        >
        Close
      </v-btn>
    </template>
  </v-snackbar>
</v-container>
</template>

<script>
import {
  // mdiContacts,
  mdiCellphoneArrowDown,
} from '@mdi/js';

export default {
  data: () => ({
    mdiCellphoneArrowDown,

    text: '',
    snackbar: false,
    loading: false,
  }),
  methods: {
    appUpdate() {
      this.loading = true;
      const newServiceWorker = this.$store.state.app.newWorker;

      if (newServiceWorker) {
        newServiceWorker.postMessage({ action: 'skipWaiting' });
      } else {
        this.text = 'Error: no new service worker';
        this.snackbar = true;
        this.loading = false;
      }
      // We can't do document.location.reload() here because a service
      // worker may not have finished skipWaiting(). A blank screen can
      // appear.
    },
  },
};
</script>
